2.0.0-BETA1 - Jan 23, 2016

Total issues resolved: 59

    97: Private properties of superclasses are not considered when generating proxies
    105: Make the evaluating generator strategy a default
    115: RFC: Recited: Give me my constructor back
    128: Removal of PHP 5.3 support
    130: [WIP\ Master branch dev version / 2.0.x dependencies
    152: Rewrite Ghost Objects to only rely on property lazy loading
    159: Ideas/considerations for GhostObject Proxies lazy loading
    167: Drop PHP 5.4 support
    175: Avoid constructor override
    177: Add variadics support
    184: Split documentation homepage into a "features" page, remove duplicate content
    186: Remove deprecated ProxyManager\Configuration#setAutoGenerateProxies()
    192: Lazy-loading of ghost objects only via properties access (no method overrides)
    200: Remove deprecated methods on ProxyManager\Configuration
    203: Remove duplicated content on documentation #184
    204: Cleanup: #167 - remove PHP 5.4 support
    205: Skipping files/directories that are not needed in deployed versions of ProxyManager in the packaged version of the repo
    208: Document new GhostObject behavior (property lazy-loading, by-ref initialization)
    209: Modify the strategy on Configuration#getGeneratorStrategy to use EvaluationGeneratorStrategy class as default
    211: Move documentation to be generated by couscous
    212: Allow skipping properties in LazyLoadingGhost for partial initialization
    214: Cleanup: unused classes removal (constructors, not needed as per #115 and #175)
    215: Cleanup: unused imports
    218: #97: handle private properties of superclasses
    219: Cleanup: run codegen smoke-tests in same process
    220: CS: imported symbols cleanups
    221: Skip properties when use ghost objects
    222: Hotfix: Ghost object generators cannot proxy interfaces, therefore should throw exceptions
    224: Disable private/protected property checks during lazy loading initialization of GhostObjects
    225: #224 - GhostObjects can simply ignore scope checks during lazy-loading (temporarily fixes #210)
    232: Variadic function support
    234: Fix html titles
    237: remove unused title table at README.md ?
    238: Fix title when rendering
    239: Skip test inapplicable to php7
    240: Support scalar type hints (PHP 7)
    246: Don't suggest package that is already required.
    247: Hotfix: PHP 7 warnings on binding internal classes
    251: Hotfix - #249 file writer generator strategy rename failures (2.0.x rebase)
    252: Moving to new travis build infrastructure
    255: Fix: Use all the columns
    256: Revert #254, add integration test for options in factory logic
    261: Fix a typo in main.css stylesheet
    263: Broken links in footer http://ocramius.github.io/ProxyManager/
    264: Duplicate semicolons generated
    265: Document limitation of pre-5.6 variadic usage
    266: #265 - by-ref variadic support
    267: #264 - duplicate semicolon removal
    268: #263 - correcting links in the footer of the docs
    271: Feature - #241 - support scalar type hints
    273: The homepage of the doc is confusing
    274: Add scalar and return type hints where applicable, use strict types
    276: Test protected member access lazy loading (ghost objects)
    277: Fix/#276 protected member access via friend objects
    278: #274 - scalar type hints, return type hints, strict types
    279: Feature - #274 void and missing return types
    280: #273 - fix homepage docs link, fix presentation link
    281: Docs - #208 document new ghost object behavior
    282: Grammar improvements to lazy loading ghost object docs


1.0.2 - Aug 10, 2015

Total issues resolved: 2

    249: Weird problem with FileWriterGeneratorStrategy
    250: Hotfix - #249 file writer generator strategy rename failures
    254: Please check 1.0.1 tag


1.0.1 - Aug 9, 2015

Total issues resolved: 2

    249: Weird problem with FileWriterGeneratorStrategy
    250: Hotfix - #249 file writer generator strategy rename failures


1.0.0 - Dec 12, 2014

Total issues resolved: 17

    108: Fix windows path length limitations
    172: Alternate hotfix for #108 - windows path length limitations
    178: Verify type-safety with self and static type-hints
    180: #178 - self type safety check
    181: Documentation should be released on github pages on the gh-pages branch.
    182: Documentation on github pages
    187: Proxy generation fails if magic methods are marked as final
    189: Bugfix - cannot override final methods ( #187 )
    190: [WIP] [EXPERIMENTAL] Codegen should not trigger fatals
    191: Put link of documentation on README.md and Close #185
    193: [WIP] Codegen errors
    194: Code-generation fatal error prevention
    195: Blogpost about 1.0.0, 2.0.0 and stability frames
    196: Define maintainance time-frames (stable/oldstable/etc)
    198: Highlighting the code examples
    199: Removed unused ReflectionMethod import
    202: #196 - adding document with expected stability time-frames


1.0.0-beta3 - Nov 8, 2014

Total issues resolved: 12

    108: Fix windows path length limitations
    172: Alternate hotfix for #108 - windows path length limitations
    178: Verify type-safety with self and static type-hints
    180: #178 - self type safety check
    181: Documentation should be released on github pages on the gh-pages branch.
    182: Documentation on github pages
    187: Proxy generation fails if magic methods are marked as final
    189: Bugfix - cannot override final methods ( #187 )
    190: [WIP] [EXPERIMENTAL] Codegen should not trigger fatals
    191: Put link of documentation on README.md and Close #185
    193: [WIP] Codegen errors
    194: Code-generation fatal error prevention


1.0.0-beta2 - Oct 24, 2014

Total issues resolved: 8

    108: Fix windows path length limitations
    172: Alternate hotfix for #108 - windows path length limitations
    178: Verify type-safety with self and static type-hints
    180: #178 - self type safety check
    181: Documentation should be released on github pages on the gh-pages branch.
    182: Documentation on github pages
    187: Proxy generation fails if magic methods are marked as final
    189: Bugfix - cannot override final methods ( #187 )


1.0.0-beta1 -- Oct 7, 2014

Total issues resolved: 6

    108: Fix windows path length limitations
    172: Alternate hotfix for #108 - windows path length limitations
    178: Verify type-safety with self and static type-hints
    180: #178 - self type safety check
    181: Documentation should be released on github pages on the gh-pages branch.
    182: Documentation on github pages


0.5.2 -- 28 Sep 2014

Total issues resolved: 12

    16: Lazy initialization should (probably) be denied if a value holder already contains a value
    127: Compatibility with HHVM
    156: Phpunit 4 upgrade
    157: use hhvm explicitly when installing composer
    163: More badges!
    165: docs: serialize example fix
    169: Parameter generator was updated in zendframework/zend-code:2.3.2, therefore escaping changed
    170: HHVM with closures support - removing HHVM workarounds in test suite and sources
    171: Add References Badge to Readme
    173: Automated cs checks fixes
    174: Sending coverage reports to scrutinizer-ci via ocular
    176: Adding test case to solidify logic as of discussion in #16 - proxies should be lazy-loadable multiple times


0.5.1 -- 12 Mar 2014

Total issues resolved: 14

    76: Proxying Core PHP Classes
    131: typo
    133: Adding HHVM to build matrix
    135: Removed note about to be implemented ghost proxies
    136: Pronounce the heavy initialization in value holder proxy examples
    138: Update access-interceptor-scope-localizer.md
    140: Fix PHPT tests (depends on sebastianbergmann/phpunit#1115)
    142: Minor code duplication removal
    144: Removing potential bug caused by invalid static keyword usage
    145: Upgrading PHPUnit to verify that sebastianbergmann/phpunit#1115 fixed Ocramius/ProxyManager#140
    148: Add PHP 5.6 support
    149: Adding PHP 5.6 to build matrix
    151: Coveralls removal
    153: Internal php classes proxying when methods with default parameters occur


0.5.0 -- 1 Dec 2013

Total issues resolved: 44

    3: Missing proxy type: Value holder with partial overrides
    5: Missing proxy type: Fallback Value Holder
    7: Missing proxy type: Remote proxy
    62: Generated Hydrators can avoid reflection completely
    65: Move generated hydrator to own repository
    68: Private variable access on a AccessInterceptorValueHolderFactory proxy class throws an error
    69: Deny private/protected properties access
    70: Update lazy-loading-ghost-object.md
    71: Removing XDebug from performance test suite runs
    73: Generated hydrator removal
    75: Cleanups as of scrutinizer inspections
    80: Add tests for ProxyManager\Generator\ClassGenerator
    82: Fixed typo in lazy loading ghost object
    83: Access interceptor scope localizer
    84: Fix suffix interceptor property naming
    85: Feature : Null Object Pattern
    86: Remove required config
    88: Remove useless "use"
    90: Proxies are always auto-generated
    91: Add simple quote
    92: Feature : Remote object proxy
    94: Add functional tests & add consistency in NullObject Pattern
    95: Access interceptor scope localizer docs
    96: Examples don't need $configuration anymore.
    98: Missing examples for access interceptor and scope localizer access interceptor
    99: Clean up the factory code
    102: Remove useless parameter
    104: Fix property visibility for PR #83
    106: Elvis operator usage
    107: Simpler code examples (#96)
    109: Prevent PHP running out of memory
    110: Fix % increase & fix display comparison
    111: Removing unnecessary factories from README examples
    113: Logo
    116: Proxies don't retain properties defaults
    117: Adding logo
    120: FQCN and the GhostFactory
    121: Hotfix for #120 - leading backslash causes failure in classname inflector
    122: Adding failing test for Ocramius/ProxyManager#116 - public properties defaults are ignored
    123: Public methods filter duplication cleanup
    124: Coverage completion
    125: Complexity cleanups
    126: Non existing properties read write
    129: Introducing upgrade notes for 0.5.0


0.5.0-BETA3 -- 29 Nov 2013

Total issues resolved: 43

    3: Missing proxy type: Value holder with partial overrides
    5: Missing proxy type: Fallback Value Holder
    7: Missing proxy type: Remote proxy
    62: Generated Hydrators can avoid reflection completely
    65: Move generated hydrator to own repository
    68: Private variable access on a AccessInterceptorValueHolderFactory proxy class throws an error
    69: Deny private/protected properties access
    70: Update lazy-loading-ghost-object.md
    71: Removing XDebug from performance test suite runs
    73: Generated hydrator removal
    75: Cleanups as of scrutinizer inspections
    80: Add tests for ProxyManager\Generator\ClassGenerator
    82: Fixed typo in lazy loading ghost object
    83: Access interceptor scope localizer
    84: Fix suffix interceptor property naming
    85: Feature : Null Object Pattern
    86: Remove required config
    88: Remove useless "use"
    90: Proxies are always auto-generated
    91: Add simple quote
    92: Feature : Remote object proxy
    94: Add functional tests & add consistency in NullObject Pattern
    95: Access interceptor scope localizer docs
    96: Examples don't need $configuration anymore.
    98: Missing examples for access interceptor and scope localizer access interceptor
    99: Clean up the factory code
    102: Remove useless parameter
    104: Fix property visibility for PR #83
    106: Elvis operator usage
    107: Simpler code examples (#96)
    109: Prevent PHP running out of memory
    110: Fix % increase & fix display comparison
    111: Removing unnecessary factories from README examples
    113: Logo
    116: Proxies don't retain properties defaults
    117: Adding logo
    120: FQCN and the GhostFactory
    121: Hotfix for #120 - leading backslash causes failure in classname inflector
    122: Adding failing test for Ocramius/ProxyManager#116 - public properties defaults are ignored
    123: Public methods filter duplication cleanup
    124: Coverage completion
    125: Complexity cleanups
    126: Non existing properties read write


0.5.0-BETA2 -- 28 Nov 2013

Total issues resolved: 43

    3: Missing proxy type: Value holder with partial overrides
    5: Missing proxy type: Fallback Value Holder
    7: Missing proxy type: Remote proxy
    62: Generated Hydrators can avoid reflection completely
    65: Move generated hydrator to own repository
    68: Private variable access on a AccessInterceptorValueHolderFactory proxy class throws an error
    69: Deny private/protected properties access
    70: Update lazy-loading-ghost-object.md
    71: Removing XDebug from performance test suite runs
    73: Generated hydrator removal
    75: Cleanups as of scrutinizer inspections
    80: Add tests for ProxyManager\Generator\ClassGenerator
    82: Fixed typo in lazy loading ghost object
    83: Access interceptor scope localizer
    84: Fix suffix interceptor property naming
    85: Feature : Null Object Pattern
    86: Remove required config
    88: Remove useless "use"
    90: Proxies are always auto-generated
    91: Add simple quote
    92: Feature : Remote object proxy
    94: Add functional tests & add consistency in NullObject Pattern
    95: Access interceptor scope localizer docs
    96: Examples don't need $configuration anymore.
    98: Missing examples for access interceptor and scope localizer access interceptor
    99: Clean up the factory code
    102: Remove useless parameter
    104: Fix property visibility for PR #83
    106: Elvis operator usage
    107: Simpler code examples (#96)
    109: Prevent PHP running out of memory
    110: Fix % increase & fix display comparison
    111: Removing unnecessary factories from README examples
    113: Logo
    116: Proxies don't retain properties defaults


0.5.0-BETA1 -- 20 Oct 2013

Total issues resolved: 33

    3: Missing proxy type: Value holder with partial overrides
    5: Missing proxy type: Fallback Value Holder
    7: Missing proxy type: Remote proxy
    62: Generated Hydrators can avoid reflection completely
    65: Move generated hydrator to own repository
    68: Private variable access on a AccessInterceptorValueHolderFactory proxy class throws an error
    69: Deny private/protected properties access
    70: Update lazy-loading-ghost-object.md
    71: Removing XDebug from performance test suite runs
    73: Generated hydrator removal
    75: Cleanups as of scrutinizer inspections
    80: Add tests for ProxyManager\Generator\ClassGenerator
    82: Fixed typo in lazy loading ghost object
    83: Access interceptor scope localizer
    84: Fix suffix interceptor property naming
    85: Feature : Null Object Pattern
    86: Remove required config
    88: Remove useless "use"
    90: Proxies are always auto-generated
    91: Add simple quote
    92: Feature : Remote object proxy
    94: Add functional tests & add consistency in NullObject Pattern
    95: Access interceptor scope localizer docs
    96: Examples don't need $configuration anymore.
    98: Missing examples for access interceptor and scope localizer access interceptor
    99: Clean up the factory code
    102: Remove useless parameter
    104: Fix property visibility for PR #83
    106: Elvis operator usage
    107: Simpler code examples (#96)
    109: Prevent PHP running out of memory
    110: Fix % increase & fix display comparison
    111: Removing unnecessary factories from README examples


0.4.1 -- 30 Jun 2013

    https://github.com/Ocramius/ProxyManager/issues?milestone=12&state=closed


0.4.0 -- 28 Jun 2013

0.3.6 -- 4 Jun 2013

0.3.5 -- 13 May 2013

0.3.4 -- 1 May 2013

0.3.3 -- 20 Apr 2013

0.3.2 -- 19 Apr 2013

    Faster initialization for lazy proxies


0.3.1 -- 31 Mar 2013

0.3.0 -- 30 Mar 2013

0.2.0 -- 27 Mar 2013

0.1.0 -- 23 Mar 2013
